edu.sc.seis.sod.subsetter.origin

## Class RemoveEventDuplicate

- java.lang.Object
- - edu.sc.seis.sod.subsetter.origin.RemoveEventDuplicate

- All Implemented Interfaces:
    SodElement, OriginSubsetter, Subsetter
  Direct Known Subclasses:
    SimilarEvent

      public class RemoveEventDuplicate
      extends java.lang.Object
      implements OriginSubsetter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected edu.iris.Fissures.model.QuantityImpl` | `depthVariance`
    `protected edu.iris.Fissures.model.QuantityImpl` | `distanceVariance`
    `protected edu.iris.Fissures.model.QuantityImpl` | `timeVariance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveEventDuplicate()`
    `RemoveEventDuplicate(org.w3c.dom.Element config)`
    `RemoveEventDuplicate(edu.iris.Fissures.model.QuantityImpl timeVariance, edu.iris.Fissures.model.QuantityImpl distanceVariance, edu.iris.Fissures.model.QuantityImpl depthVariance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent eventAccess, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl preferred_origin)`
    `java.util.List` | `getEventsNearTimeAndDepth(edu.iris.Fissures.IfEvent.Origin preferred_origin)`
    `StatefulEventDB` | `getEventStatusTable()`
    `boolean` | `isDistanceClose(edu.sc.seis.fissuresUtil.cache.CacheEvent eventA, edu.iris.Fissures.IfEvent.Origin originB)`
    `protected void` | `setDepthVariance(edu.iris.Fissures.model.QuantityImpl depthVariance)`
    `protected void` | `setDistanceVariance(edu.iris.Fissures.model.QuantityImpl maxDistance)`
    `protected void` | `setTimeVariance(edu.iris.Fissures.model.QuantityImpl timeVariance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timeVariance

          protected edu.iris.Fissures.model.QuantityImpl timeVariance

    - #### distanceVariance

          protected edu.iris.Fissures.model.QuantityImpl distanceVariance

    - #### depthVariance

          protected edu.iris.Fissures.model.QuantityImpl depthVariance

  - ### Constructor Detail

    - #### RemoveEventDuplicate

          public RemoveEventDuplicate(org.w3c.dom.Element config)
                               throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### RemoveEventDuplicate

          public RemoveEventDuplicate(edu.iris.Fissures.model.QuantityImpl timeVariance,
                                      edu.iris.Fissures.model.QuantityImpl distanceVariance,
                                      edu.iris.Fissures.model.QuantityImpl depthVariance)
                               throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### RemoveEventDuplicate

          public RemoveEventDuplicate()

  - ### Method Detail

    - #### getEventStatusTable

          public StatefulEventDB getEventStatusTable()
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent eventAccess,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl preferred_origin)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `OriginSubsetter`
      Throws:
        `java.lang.Exception`

    - #### isDistanceClose

          public boolean isDistanceClose(edu.sc.seis.fissuresUtil.cache.CacheEvent eventA,
                                         edu.iris.Fissures.IfEvent.Origin originB)

    - #### getEventsNearTimeAndDepth

          public java.util.List getEventsNearTimeAndDepth(edu.iris.Fissures.IfEvent.Origin preferred_origin)
                                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setTimeVariance

          protected void setTimeVariance(edu.iris.Fissures.model.QuantityImpl timeVariance)
                                  throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setDistanceVariance

          protected void setDistanceVariance(edu.iris.Fissures.model.QuantityImpl maxDistance)
                                      throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setDepthVariance

          protected void setDepthVariance(edu.iris.Fissures.model.QuantityImpl depthVariance)
                                   throws ConfigurationException

      Throws:
        `ConfigurationException`